## librapi2 0.15

=== debian/changelog ===
librapi2 (0.15-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Don't hardcode site-packages.
    + Exclude pyrapi2.so from dbg package.
    + Enable odccm and hal support.
  * debian/python-rapi2.install: Don't hardcode site-packages.
  * debian/control:
    + Upped Standards-Version. (no changes)
    + Upped build-deps.
    + Use >> instead of > in versioned deps.
    + Add missing ${misc:Depends} for packages which need it.
    + Moved librapi2-dbg into debug section.
  * Switch to source format 3.0 (quilt).
    + Remove all mention of quilt.

 -- Jonny Lamb <jonny@debian.org>  Wed, 12 May 2010 12:05:34 +0100

librapi2 (0.13.1-2) unstable; urgency=low

  * debian/gbp.conf: Removed no-create-orig line.
  * debian/patches/0002-pcp-Add-f-option-to-allow-overwriting-files.patch: Added
    patch from David Headland to add -f option to synce-pcp. (Closes: #518516)
  * debian/update-patches.mk: Update to latest version which writes series file
    too.
  * debian/README.source: Added to comply with Standards-Version 3.8.0.
  * debian/control:
    + Bumped Standards-Version to 3.8.0.
    + Removed duplicate Section field.
  * debian/copyright: Updated debian/* copyright.

 -- Jonny Lamb <jonny@debian.org>  Fri, 06 Mar 2009 19:31:13 +0000

librapi2 (0.13.1-1) unstable; urgency=low

  * New upstream release.
    + Adds recursive directory listing. (Closes: #279945)
  * debian/gbp.conf: Added git-buildpackage config file.
  * debian/control:
    + Use my debian.org email address.
    + Bumped Build-Dep on libsynce0-dev to 0.12.
    + Added libhal-dev Build-Dep.
  * debian/update-patches.mk: Added.
  * debian/patches/: Regenerated patches using debian/rules update-patches.
  * debian/rules: Include debian/update-patches.mk.

 -- Jonny Lamb <jonny@debian.org>  Tue, 17 Feb 2009 11:23:07 +0000

librapi2 (0.11.1-2) unstable; urgency=low

  * debian/control: Added quilt Build-Dep.
  * debian/rules: Added quilt patching support.
  * debian/patches/: Added rename-p-binaries.diff patch to fix references to
    /usr/bin/p* binaries. (Closes: #486840)

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Wed, 18 Jun 2008 17:35:32 +0100

librapi2 (0.11.1-1) unstable; urgency=low

  * New upstream release. (Closes: #481045)
  * debian/control:
    + Removed voc from Uploaders -- he's MIA.
    + Upped the Build-Dep on libsynce0-dev.   

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Fri, 09 May 2008 01:11:28 +0100

librapi2 (0.11-3) unstable; urgency=low

  * debian/rules:
    + Renamed /usr/bin/p* tools to /usr/bin/synce-p*. This was
      done on older versions of this package too. (Closes: #474055)
    + Ignored config.{sub,guess} changes to clean up diff.

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Sun, 06 Apr 2008 13:10:20 +0100

librapi2 (0.11-2) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3.
  * debian/control:
    + Added Vcs-{Git,Browser} fields.
    + Depend on newer version of libsynce.
    + Clean up descriptions.
    + Added Homepage field.
    + Changed Build-Dep python-dev to python-all-dev.
    + Removed cdbs Build-Dep.
    + s/python/Python/g to please lintian.
  * debian/copyright: Cleaned up.
  * debian/watch: Updated URL.
  * debian/librapi2-dev.install: Added reference to man3 pages.
  * Added debug package, librapi2-dbg.
  * debian/rules: Moved from CDBS to debhelper. This fixes the Python policy
    problems that were present.
  * debian/*.install: Cleaned up and updated.

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Tue, 12 Feb 2008 23:23:06 +0000

librapi2 (0.11-1) unstable; urgency=low

  * New upstrem release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 08 Feb 2008 16:53:01 -0600

librapi2 (0.10.0-1) unstable; urgency=low

  * New upstream version with support for WM5 devices.
  * Updated to use cdbs.
  * Updated description in debian/control.
  * New python bindings in python-rapi2 package.
  * New Maintainer Jonny Lamb.
  * Updated website in copyright.

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Thu, 03 May 2007 21:29:17 +0100

librapi2 (0.9.3-3) unstable; urgency=low

  * kcemirror: FTBFS: /usr/lib/librapi.so: undefined reference to
    `synce_socket_get_descriptor' (Closes: #392938)

 -- Volker Christian <voc@debian.org>  Sun, 15 Oct 2006 00:09:46 +0200

librapi2 (0.9.3-2) unstable; urgency=low

  * Added build-dependency of pkg-config

 -- Volker Christian <voc@debian.org>  Fri, 22 Sep 2006 15:39:26 +0200

librapi2 (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Volker Christian <voc@debian.org>  Wed, 20 Sep 2006 21:53:31 +0200

librapi2 (0.9.1-2) unstable; urgency=low

  * Fixed libtool-version to be 1.5.6 from debian

 -- Volker Christian <voc@debian.org>  Thu,  8 Sep 2005 20:36:37 +0200

librapi2 (0.9.1-1) unstable; urgency=low

  * New upstream release
  * FTBFS (amd64/gcc-4.0): pointer targets in passing argument 2 of
    'rapi_buffer_read_uint32' differ in signedness (Closes: #289276)
  * Changed the Maintainer Email Address
  * Updated watch file to conform to version 3
  * Updated to the Policy standard 3.6.2
  * Suggests now synce-dccm

 -- Volker Christian <voc@debian.org>  Thu,  8 Sep 2005 19:28:13 +0200

librapi2 (0.9.0-6) unstable; urgency=low

  * Closes: #290824: Tools renamed but scripts not updated to reflect
    the change
  * Fixed scripts which have been broken due to prefixing the rapi tools
    with synce-

 -- Volker Christian <voc@users.sourceforge.net>  Wed, 23 Feb 2005 23:56:13 +0100

librapi2 (0.9.0-5) unstable; urgency=low

  * Closes: #274797: file conflicts in pimppa librapi2-tools
  * Closes: #279946: synce-registry.1.gz: truncated
  * Closes: #279952: /usr/share/man/man1/pcp.1.gz: typos
  * Closes: #279943: /usr/bin/pls: check for errors

 -- Volker Christian <voc@users.sourceforge.net>  Sun,  3 Dec 2004 23:41:18 +0200

librapi2 (0.9.0-4) unstable; urgency=low

  * Closes: #270027: Please rebuild against new libsynce0.

 -- Volker Christian <voc@users.sourceforge.net>  Sun,  5 Sep 2004 11:18:21 +0200

