=== debian/control ===
Source: librapi2
Section: libs
Priority: optional
Maintainer: Jonny Lamb <jonny@debian.org>
Build-Depends: debhelper (>= 5), libsynce0-dev (>= 0.15), pkg-config, libglib2.0-dev, python (>> 2.2), python-all-dev, python-central (>= 0.5), python-pyrex (>= 0.9.6), libhal-dev
XS-Python-Version: all
Standards-Version: 3.8.4
Homepage: http://www.synce.org/
Vcs-Git: git://git.jonnylamb.com/git/packaging/librapi2.git
Vcs-Browser: http://git.jonnylamb.com/?p=packaging/librapi2.git;a=summary

Package: librapi2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, librapi2 (= ${binary:Version})
Description: Make RAPI calls to a Windows Mobile device, development libraries
 librapi2 is equivalent to rapi.dll on a Window machine. It allows you to
 make remote calls to your Window Mobile device.
 .
 This package contains the development files for the library.

Package: librapi2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, librapi2 (= ${binary:Version})
Description: Make RAPI calls to a Windows Mobile device, debug symbols
 librapi2 is equivalent to rapi.dll on a Window machine. It allows you to
 make remote calls to your Window Mobile device.
 .
 This package contains the debugging symbols for the library.

Package: librapi2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Make RAPI calls to a Windows Mobile device, runtime libraries
 librapi2 is equivalent to rapi.dll on a Window machine. It allows you to
 make remote calls to your Window Mobile device.
 .
 This package contains the runtime library.

Package: librapi2-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Make RAPI calls to a Window Mobile device, library tools
 librapi2 is equivalent to rapi.dll on a Window machine. It allows you to
 make remote calls to your Window Mobile device.
 .
 This package contains tools that use librapi2 to talk to a Windows Mobile
 device to perform various functions. Many of these are simply remote
 versions of standard unix file utilities.

Package: python-rapi2
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Make RAPI calls to a Windows Mobile device, Python bindings
 librapi2 is equivalent to rapi.dll on a Window machine. It allows you to
 make remote calls to your Window Mobile device.
 .
 This package contains the Python bindings for the library.
