=== debian/watch ===
version=3
http://sf.net/synce/librapi2-(.+)\.tar\.gz
